This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

UpdateDataFlowService

1 - 1.2

put /v1/data-flow-services/{data_flow_service_id}

Description

update dataflow service console

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServicesUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.2"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}

2 - 1.1

put /v1/data-flow-services/{data_flow_service_id}

Description

update dataflow service console

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServicesUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}

3 - 1.0

put /v1/data-flow-services/{data_flow_service_id}

Description

update dataflow service console

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServicesUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2024-01-15T10:30:00.000Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2024-01-15T10:30:00.000Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}